# Uses of Class
org.globus.rsl.RslNode

Packages that use RslNode
Package
Description
org.globus.gram
This library is a full implementation of the GRAM client API.
org.globus.rsl
This library provides a convenience API for creating, manipulating, and checking the validity of RSL expressions.

## Uses of RslNode in org.globus.gram

Constructors in org.globus.gram with parameters of type RslNode
Modifier
Constructor
Description
``
`GramAttributes(RslNode rslTree)`
Constructs a new GramAttributes object initialized with the specified RSL parse tree.

## Uses of RslNode in org.globus.rsl

Fields in org.globus.rsl declared as RslNode
Modifier and Type
Field
Description
`protected RslNode`
RslAttributes.`rslTree`
Methods in org.globus.rsl that return RslNode
Modifier and Type
Method
Description
`RslNode`
RslAttributes.`getRslNode()`
Returns the rsl parse tree.
`static RslNode`
RSLParser.`parse(String rsl)`
Constructors in org.globus.rsl with parameters of type RslNode
Modifier
Constructor
Description
``
`RslAttributes(RslNode rslTree)`
Creates a new RslAttributes object with specified rsl parse tree.